Bug 728912 - SELinux is preventing /usr/sbin/vpnc from read, write access on the unix_stream_socket unix_stream_socket.
Summary: SELinux is preventing /usr/sbin/vpnc from read, write access on the unix_stre...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:d1ea97e31c2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 11:23 UTC by Stephen Gallagher
Modified: 2011-11-21 17:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-21 17:02:52 UTC


Attachments (Terms of Use)

Description Stephen Gallagher 2011-08-08 11:23:32 UTC
SELinux is preventing /usr/sbin/vpnc from read, write access on the unix_stream_socket unix_stream_socket.

*****  Plugin catchall (50.5 confidence) suggests  ***************************

If you believe that vpnc should be allowed read write access on the unix_stream_socket unix_stream_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep vpnc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

*****  Plugin leaks (50.5 confidence) suggests  ******************************

If you want to ignore vpnc trying to read write access the unix_stream_socket unix_stream_socket, because you believe it should not need this access.
Then you should report this as a bug.  
You can generate a local policy module to dontaudit this access.
Do
# grep /usr/sbin/vpnc /var/log/audit/audit.log | audit2allow -D -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:vpnc_t:s0
Target Context                system_u:system_r:init_t:s0
Target Objects                unix_stream_socket [ unix_stream_socket ]
Source                        vpnc
Source Path                   /usr/sbin/vpnc
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           vpnc-0.5.3-12.svn457.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-35.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.40-4.fc15.x86_64 #1 SMP Fri Jul 29 18:46:53
                              UTC 2011 x86_64 x86_64
Alert Count                   3
First Seen                    Thu 04 Aug 2011 08:23:48 AM EDT
Last Seen                     Mon 08 Aug 2011 07:21:09 AM EDT
Local ID                      894c39a9-3693-4433-abd4-648a97dc2d2c

Raw Audit Messages
type=AVC msg=audit(1312802469.357:64): avc:  denied  { read write } for  pid=2070 comm="vpnc" path="socket:[14766]" dev=sockfs ino=14766 scontext=system_u:system_r:vpnc_t:s0 tcontext=system_u:system_r:init_t:s0 tclass=unix_stream_socket


type=SYSCALL msg=audit(1312802469.357:64): arch=x86_64 syscall=execve success=yes exit=0 a0=40393f a1=1ed3c20 a2=7fff3c471608 a3=0 items=0 ppid=2065 pid=2070 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=vpnc exe=/usr/sbin/vpnc subj=system_u:system_r:vpnc_t:s0 key=(null)

Hash: vpnc,vpnc_t,init_t,unix_stream_socket,read,write

audit2allow

#============= vpnc_t ==============
allow vpnc_t init_t:unix_stream_socket { read write };

audit2allow -R

#============= vpnc_t ==============
allow vpnc_t init_t:unix_stream_socket { read write };

Comment 1 Daniel Walsh 2011-11-21 17:02:52 UTC
I think this is fixed in the current release.


Note You need to log in before you can comment on or make changes to this bug.